### Method

# PangoOT Ruleset get_feature_count

#### Declaration [src]

    guint
    pango_ot_ruleset_get_feature_count (
      const PangoOTRuleset* ruleset,
      guint* n_gsub_features,
      guint* n_gpos_features
    )

#### Description [src]

Gets the number of GSUB and GPOS features in the ruleset.

Available since: | 1.18

#### Parameters

`n_gsub_features` | `guint*`
| Location to store number of GSUB features.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`n_gpos_features` | `guint*`
| Location to store number of GPOS features.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `guint`
| Total number of features in the `ruleset`.